Loading...
Searching...
No Matches
pdftron::PDF::DisallowedChange Class Reference

`#include <DisallowedChange.h>`

## Public Types
enum | Type { e_form_filled = 0 , e_digital_signature_signed = 1 , e_page_template_instantiated = 2 , e_annotation_created_or_updated_or_deleted = 3 , e_other = 4 , e_unknown = 5 }

## Public Member Functions
| DisallowedChange ()
| DisallowedChange (const DisallowedChange &other)
| DisallowedChange (TRN_DisallowedChange impl)
DisallowedChange & | operator= (const DisallowedChange &other)
| ~DisallowedChange ()
void | Destroy ()
UInt32 | GetObjNum () const
Type | GetType () const
UString | GetTypeAsString () const

## Public Attributes
TRN_DisallowedChange | m_impl

## Detailed Description

The class DisallowedChange. Data pertaining to a change detected in a document during a digital signature modification permissions verification step, the change bein g both made after the signature was signed, and disallowed by t he signature's permissions settings.

Definition at line 24 of file DisallowedChange.h.

## Member Enumeration Documentation

## ◆ Type

enum pdftron::PDF::DisallowedChange::Type

Enumerator
e_form_filled |
e_digital_signature_signed |
e_page_template_instantiated |
e_annotation_created_or_updated_or_deleted |
e_other |
e_unknown |

Definition at line 28 of file DisallowedChange.h.

## Constructor & Destructor Documentation

## ◆ DisallowedChange() [1/3]

pdftron::PDF::DisallowedChange::DisallowedChange | ( |  | ) |

## ◆ DisallowedChange() [2/3]

pdftron::PDF::DisallowedChange::DisallowedChange | ( | const DisallowedChange & | other | ) |

## ◆ DisallowedChange() [3/3]

pdftron::PDF::DisallowedChange::DisallowedChange | ( | TRN_DisallowedChange | impl | ) |

## ◆ ~DisallowedChange()

pdftron::PDF::DisallowedChange::~DisallowedChange | ( |  | ) |

## Member Function Documentation

## ◆ Destroy()

void pdftron::PDF::DisallowedChange::Destroy | ( |  | ) |

## ◆ GetObjNum()

UInt32 pdftron::PDF::DisallowedChange::GetObjNum | ( |  | ) | const

Returns the SDF object number of the indirect object associated with this DisallowedChange.

Returns
  An unsigned 32-bit integer value.

## ◆ GetType()

Type pdftron::PDF::DisallowedChange::GetType | ( |  | ) | const

Returns an enumeration value representing the semantic type of this disallowed change.

Returns
  An enumeration value of type: Type of DisallowedChange.

## ◆ GetTypeAsString()

UString pdftron::PDF::DisallowedChange::GetTypeAsString | ( |  | ) | const

Returns a string value representing the semantic type of this disallowed change.

Returns
  A string.

## ◆ operator=()

DisallowedChange & pdftron::PDF::DisallowedChange::operator= | ( | const DisallowedChange & | other | ) |

## Member Data Documentation

## ◆ m_impl

TRN_DisallowedChange pdftron::PDF::DisallowedChange::m_impl

Definition at line 68 of file DisallowedChange.h.

The documentation for this class was generated from the following file:

- PDF/DisallowedChange.h